Bug 808172 - There should be some implementation of "katello --version"
There should be some implementation of "katello --version"
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: --
Assigned To: Partha Aji
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 14:03 EDT by Corey Welton
Modified: 2014-09-18 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Katello outputs the version being run by the server using the following command: # katello -u admin -p admin --version
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:44:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-03-29 14:03:03 EDT
Virtually every binary out there has a way to return version #, usually via -v and/or --version. Even 'ls'.  And 'yes'.

[cwelton@huajiao ~]$ yes --version
yes (GNU coreutils) 8.12
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.


That we cannot appear to do the same via the CLI in katello cli seems like a small, but significant, oversight.


Current results:

# katello --version
katello: error: no such option: --version

# katello -v
katello: error: no such option: -v

# katello version
katello: error: Invalid command; please see --help

Expected results:
Something like

* katello --version

katello version 0.1.303-1.el6
Comment 1 Partha Aji 2012-04-10 14:53:25 EDT
So after some discussions it was decided
katello -u <> -p <> --version
katello -u <> -p <> -v
katello -u <> -p <> version

 will use a new api call to figure out there server version and report it to the user.
Comment 3 Sachin Ghai 2012-05-15 01:54:48 EDT
Verified with following katello build:

[root@perceptor ~]# rpm -qa | grep -ie katello-cli-0 -ie katello-0
katello-cli-0.2.33-1.el6.noarch
katello-0.2.35-1.el6.noarch

As per comment 5, katello version correctly displayed with following:

[root@perceptor ~]# katello -u admin -p admin --version
Katello 0.2.35-1.el6
[root@perceptor ~]# katello -u admin -p admin -v
Katello 0.2.35-1.el6
[root@perceptor ~]# katello -u admin -p admin version
Katello 0.2.35-1.el6
[root@perceptor ~]# katello -u admin -p admin --ver
Katello 0.2.35-1.el6
[root@perceptor ~]# katello -u admin -p admin --v
Katello 0.2.35-1.el6


Will test it against latest CFSE build too.
Comment 4 Sachin Ghai 2012-05-15 02:37:23 EDT
(In reply to comment #3)
> Verified with following katello build:
> 
> [root@perceptor ~]# rpm -qa | grep -ie katello-cli-0 -ie katello-0
> katello-cli-0.2.33-1.el6.noarch
> katello-0.2.35-1.el6.noarch
> 
> As per comment 5, katello version correctly displayed with following:

Sorry for type. I meant to point comment 1 

> [root@perceptor ~]# katello -u admin -p admin --version
> Katello 0.2.35-1.el6
> [root@perceptor ~]# katello -u admin -p admin -v
> Katello 0.2.35-1.el6
> [root@perceptor ~]# katello -u admin -p admin version
> Katello 0.2.35-1.el6
> [root@perceptor ~]# katello -u admin -p admin --ver
> Katello 0.2.35-1.el6
> [root@perceptor ~]# katello -u admin -p admin --v
> Katello 0.2.35-1.el6
> 
> 
> Will test it against latest CFSE build too.
Comment 7 Sachin Ghai 2012-09-18 07:52:44 EDT
Verified with following CFSE 1.1 puddle:


katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch

--
[root@dhcp201-107 ~]# katello -u admin -p admin --version
CloudForms System Engine 1.1.12-7.el6cf
[root@dhcp201-107 ~]# katello -u admin -p admin -v
CloudForms System Engine 1.1.12-7.el6cf
[root@dhcp201-107 ~]# katello -u admin -p admin version
CloudForms System Engine 1.1.12-7.el6cf
[root@dhcp201-107 ~]# katello -u admin -p admin --ver
CloudForms System Engine 1.1.12-7.el6cf
[root@dhcp201-107 ~]# katello -u admin -p admin --v
CloudForms System Engine 1.1.12-7.el6cf
---
Comment 9 errata-xmlrpc 2012-12-04 14:44:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.